let serverSystem = server.registerSystem(0, 0);

serverSystem.initialize = function () {
	serverSystem.listenForEvent("minecraft:entity_equipped_armor", (eventData) => this.playerReceivedItem(eventData));
};

let isStarted = false;
let tickTimer = 0;
let totalSeconds = 0;
serverSystem.update = function () {
	
	if (isStarted == true) {
		tickTimer++;
	
		if(tickTimer % 20 == 0) {
			++totalSeconds;
			let hour = Math.floor(totalSeconds / 3600);
			let minute = Math.floor((totalSeconds - hour * 3600) / 60);
			let seconds = totalSeconds - (hour * 3600 + minute * 60);
				if(hour < 10)
					hour = "0" + hour;
				if(minute < 10)
					minute = "0" + minute;
				if(seconds < 10)
					seconds = "0" + seconds;
			let commandMessage = serverSystem.createEventData("minecraft:execute_command");
			commandMessage.data.command = "/title @a actionbar §2" + hour + ":" + minute + ":" + seconds;
			serverSystem.broadcastEvent("minecraft:execute_command", commandMessage);
		}

		if(totalSeconds == 300) {
			totalSeconds = 0;
			let randomNumber = Math.floor(Math.random() * 60);
			if(randomNumber == 0) {
				serverSystem.executeCommand("/give @a diamond 5", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 5 diamonds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 1) {
				serverSystem.executeCommand("/give @a ender_pearl 3", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 3 ender pearls!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 2) {
				serverSystem.executeCommand("/give @a emerald 5", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 5 emeralds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 3) {
				serverSystem.executeCommand("/give @a iron_ingot 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 10 iron ingots!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 4) {
				serverSystem.executeCommand("/give @a blaze_rod 2", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 2 blaze rods!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 5) {
				serverSystem.executeCommand("/give @a golden_helmet", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a golden helmet!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 6) {
				serverSystem.executeCommand("/give @a golden_chestplate", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a golden chestplate!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 7) {
				serverSystem.executeCommand("/give @a golden_leggings", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got golden leggings!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 8) {
				serverSystem.executeCommand("/give @a golden_boots", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got golden boots!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 9) {
				serverSystem.executeCommand("/give @a golden_apple 3", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 3 golden apples!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 10) {
				serverSystem.executeCommand("/give @a enchanted_golden_apple 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got an enchanted golden apple!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 11) {
				serverSystem.executeCommand("/effect @a regeneration 10 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got regeneration for 5 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 12) {
				serverSystem.executeCommand("/effect @a jump_boost 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got jump boost for 10 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 13) {
				serverSystem.executeCommand("/effect @a speed 15 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got speed for 10 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 14) {
				serverSystem.executeCommand("/effect @a haste 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got haste for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 15) {
				serverSystem.executeCommand("/effect @a night_vision 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got night vision for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 16) {
				serverSystem.executeCommand("/effect @a invisibility 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got invisibility for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 17) {	
				serverSystem.executeCommand("/give @a enchanting_table", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a experience_bottle 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a lapis_lazuli 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got an enchantment kit!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 18) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon wolf ~ ~1 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a bone 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a wolf!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 19) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon cat ~ ~1 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a cod 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a cat!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 20) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon parrot ~ ~1 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a wheat_seeds 10", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a parrot!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 21) {
				serverSystem.executeCommand("/give @a planks 16", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 16 planks!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 22) {
				serverSystem.executeCommand("/give @a cobblestone 16", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got 16 cobblestone!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 23) {
				serverSystem.executeCommand("/give @a iron_boots", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got iron boots!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 24) {
				serverSystem.executeCommand("/give @a iron_leggings", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got iron leggings!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 25) {
				serverSystem.executeCommand("/give @a iron_chestplate", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got an iron chestplate!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 26) {
				serverSystem.executeCommand("/give @a iron_helmet", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got an iron helmet!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 27) {
				serverSystem.executeCommand("/give @a iron_pickaxe", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a iron_sword", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a iron_axe", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got an iron tool set!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 28) {
				serverSystem.executeCommand("/give @a shield", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got a shield!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 29) {
				serverSystem.executeCommand("/give @a air", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§aYou've received a reward! You got some fresh air!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 30) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-10 ~7 ~-10 ~10 ~10 ~10 flowing_lava", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Look up for a surprise :)!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 31) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon zombie ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon zombie ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon zombie ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon zombie ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Goodluck with the fight!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 32) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon skeleton ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon skeleton ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon skeleton ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon skeleton ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Goodluck with the fight!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 33) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon creeper ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon creeper ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon creeper ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon creeper ~ ~ ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Goodluck with the fight!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 34) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~ ~5 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~1 ~5 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~ ~5 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~1 ~5 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~-1 ~5 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~-1 ~5 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~ ~5 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~-1 ~5 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~1 ~5 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~-2 ~5 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~ ~5 ~-2", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~2 ~5 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon tnt ~ ~5 ~2", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Look up for a surprise :)!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 35) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ tp @a ~ ~100 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Look for some water :)!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 36) {
				serverSystem.executeCommand("/effect @a blindness 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got blindness for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 37) {
				serverSystem.executeCommand("/effect @a poison 15 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got poison for 15 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 38) {
				serverSystem.executeCommand("/effect @a weakness 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got weakness for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 39) {
				serverSystem.executeCommand("/effect @a wither 10 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got withered for 10 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 40) {
				serverSystem.executeCommand("/effect @a slowness 25 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got slowness for 25 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 41) {
				serverSystem.executeCommand("/effect @a nausea 15 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got nausea for 15 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 42) {
				serverSystem.executeCommand("/effect @a mining_fatigue 20 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got mining fatigue for 20 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 43) {
				serverSystem.executeCommand("/effect @a hunger 25 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got hunger for 25 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 44) {
				serverSystem.executeCommand("/effect @a levitation 10 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! You got levitation for 10 seconds!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 45) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ kill @e[type=!player,r=20]", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip every mob in a 20 block radius!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 46) {
				serverSystem.executeCommand("/time set night", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! The time has been set to night, goodluck with fighting the mobs!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 47) {
				serverSystem.executeCommand("/weather thunder", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Have fun listening to the rain!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 48) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-15 ~3 ~-15 ~15 ~15 ~15 flowing_water", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Have fun swimming!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 49) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-15 ~-15 ~-15 ~15 ~15 ~15 soul_sand 0 replace grass", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-15 ~-15 ~-15 ~15 ~15 ~15 soul_sand 0 replace stone", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-15 ~-15 ~-15 ~15 ~15 ~15 soul_sand 0 replace sand", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! There is plenty of soul sand!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 50) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ tp @a ~34232 ~5 ~-11241", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Welcome to the middle of nowhere!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 51) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ fill ~-4 ~6 ~-4 ~4 ~13 ~4 sand", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Tip: place down a torch :)\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 52) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~ ~7 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~1 ~7 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~ ~7 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~1 ~7 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~-1 ~7 ~1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~-1 ~7 ~", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~ ~7 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~-1 ~7 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/execute @a ~ ~ ~ summon spider ~1 ~7 ~-1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Spiders incoming!\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 53) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ clear @a diamond 0 2", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip 2 of your diamonds if you had any\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 54) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ clear @a ender_pearls 0 2", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip 2 of your ender pearls if you had any\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 55) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ clear @a iron_ingot 0 5", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip 5 of your iron ingots if you had any\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 56) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ clear @a ender_eye 0 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip 1 of your ender eyes if you had any\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 57) {
				serverSystem.executeCommand("/execute @a ~ ~ ~ clear @a iron_pickaxe 0 1", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! rip your iron pickaxe if you had one\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 58) {
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/give @a deadbush 64", (result) => this.commandResult(result));
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Goodluck with my trash\"}]}", (result) => this.commandResult(result));
			}
			if(randomNumber == 59) {
				serverSystem.executeCommand("/tellraw @a {\"rawtext\":[{\"text\":\"§4Oof bad luck you got a punishment! Prepare for one of the hardest battles ever...!!\"}]}", (result) => this.commandResult(result));
			}
		}
	}
};

serverSystem.playerReceivedItem = function(eventData) {
	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:allow" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));
		
		let startMessage = serverSystem.createEventData("minecraft:execute_command");
		startMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§bThe 5 minute challenge has started. Type /function stop5min to stop the challenge. Goodluck!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", startMessage);
		isStarted = true;
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:bedrock" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§4The challenge has been stopped and the timer has been reset!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
		totalSeconds = 0;
		isStarted = false;
	}
};

serverSystem.commandResult = function(result) {

};


